Manifest-Version: 1.0
Bnd-LastModified: 1729073336738
Bundle-ClassPath: .,lib/commons-lang3-3.8.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Segments Content Targeting Upgrade
Bundle-SymbolicName: com.liferay.segments.content.targeting.upgrade
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.12.hotfix-6115-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.expando.kernel.model;version="4.1",com.lif
 eray.expando.kernel.service;version="1.8",com.liferay.osgi.service.tr
 acker.collections.map;version="2.2",com.liferay.petra.string;version=
 "1.7",com.liferay.portal.kernel.json;version="11.0",com.liferay.porta
 l.kernel.log;version="7.1",com.liferay.portal.kernel.model;version="2
 2.0",com.liferay.portal.kernel.service;version="17.0",com.liferay.por
 tal.kernel.upgrade;version="18.1",com.liferay.portal.kernel.util;vers
 ion="41.0",com.liferay.portal.odata.normalizer;version="1.0",com.life
 ray.portal.upgrade.registry;version="4.1",com.liferay.segments.criter
 ia;version="1.1",com.liferay.segments.criteria.contributor;version="1
 .0",com.liferay.segments.model;version="2.0",com.liferay.segments.ser
 vice;version="3.1",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Segments
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.segments.content.targeting.upgrade.intern
 al.upgrade.registry,com.liferay.segments.content.targeting.upgrade.in
 ternal.upgrade.v1_0_0,com.liferay.segments.content.targeting.upgrade.
 internal.upgrade.v1_0_0.util,lib,org.apache.commons.lang3,org.apache.
 commons.lang3.arch,org.apache.commons.lang3.builder,org.apache.common
 s.lang3.concurrent,org.apache.commons.lang3.event,org.apache.commons.
 lang3.exception,org.apache.commons.lang3.math,org.apache.commons.lang
 3.mutable,org.apache.commons.lang3.reflect,org.apache.commons.lang3.t
 ext,org.apache.commons.lang3.text.translate,org.apache.commons.lang3.
 time,org.apache.commons.lang3.tuple
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.upgrade.registry.UpgradeStepRegistrator,com.liferay.segments.
 content.targeting.upgrade.internal.upgrade.registry.SegmentsContentTa
 rgetingUpgradeStepRegistrator";uses:="com.liferay.portal.upgrade.regi
 stry,com.liferay.segments.content.targeting.upgrade.internal.upgrade.
 registry",osgi.service;objectClass:List<String>="com.liferay.segments
 .content.targeting.upgrade.internal.upgrade.v1_0_0.util.RuleConverter
 ";uses:="com.liferay.segments.content.targeting.upgrade.internal.upgr
 ade.v1_0_0.util",osgi.service;objectClass:List<String>="com.liferay.s
 egments.content.targeting.upgrade.internal.upgrade.v1_0_0.util.RuleCo
 nverterRegistry";uses:="com.liferay.segments.content.targeting.upgrad
 e.internal.upgrade.v1_0_0.util"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.exp
 ando.kernel.service.ExpandoColumnLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.expando.kernel.service.Ex
 pandoTableLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.segments.content.targeting.upgrade.internal.upgr
 ade.v1_0_0.util.RuleConverterRegistry)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.segments.criteria.contributor.Seg
 mentsCriteriaContributor)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.segments.service.SegmentsEntryLocalService)";e
 ffective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.compone
 nt)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=
 JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.segments.content.targeting.upg
 rade.internal.upgrade.registry.SegmentsContentTargetingUpgradeStepReg
 istrator.xml,OSGI-INF/com.liferay.segments.content.targeting.upgrade.
 internal.upgrade.v1_0_0.util.BrowseRuleConverter.xml,OSGI-INF/com.lif
 eray.segments.content.targeting.upgrade.internal.upgrade.v1_0_0.util.
 CustomFieldRuleConverter.xml,OSGI-INF/com.liferay.segments.content.ta
 rgeting.upgrade.internal.upgrade.v1_0_0.util.LanguageRuleConverter.xm
 l,OSGI-INF/com.liferay.segments.content.targeting.upgrade.internal.up
 grade.v1_0_0.util.LastLoginDateRuleConverter.xml,OSGI-INF/com.liferay
 .segments.content.targeting.upgrade.internal.upgrade.v1_0_0.util.OSRu
 leConverter.xml,OSGI-INF/com.liferay.segments.content.targeting.upgra
 de.internal.upgrade.v1_0_0.util.OrganizationMemberRuleConverter.xml,O
 SGI-INF/com.liferay.segments.content.targeting.upgrade.internal.upgra
 de.v1_0_0.util.PreviousVisitedSiteRuleConverter.xml,OSGI-INF/com.life
 ray.segments.content.targeting.upgrade.internal.upgrade.v1_0_0.util.R
 egularRoleRuleConverter.xml,OSGI-INF/com.liferay.segments.content.tar
 geting.upgrade.internal.upgrade.v1_0_0.util.RuleConverterRegistry.xml
 ,OSGI-INF/com.liferay.segments.content.targeting.upgrade.internal.upg
 rade.v1_0_0.util.SiteMemberRuleConverter.xml,OSGI-INF/com.liferay.seg
 ments.content.targeting.upgrade.internal.upgrade.v1_0_0.util.UserGrou
 pMemberRuleConverter.xml,OSGI-INF/com.liferay.segments.content.target
 ing.upgrade.internal.upgrade.v1_0_0.util.UserLoggedRuleConverter.xml
Tool: Bnd-4.3.0.201909301554

